Bug 168705 - Review Request: newscache - Free cache server for USENET News
Review Request: newscache - Free cache server for USENET News
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.linuxhacker.at/newscache/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-19 13:14 EDT by Dmitry Butskoy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 06:43:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dmitry Butskoy 2005-09-19 13:14:14 EDT
Spec Url: http://dmitry.butskoy.name/newscache/newscache.spec
SRPM Url: http://dmitry.butskoy.name/newscache/newscache-1.2-0.1.rc6.src.rpm

Description: 
NewsCache is a free cache server for USENET News. NewsCache acts to
news reading clients like a news server, except that it stores only
those articles that have been requested by at least one client.
NewsCache targets problems of the current News System like network
bandwidth consumption or the IO load caused by news clients.


Additional info:
  Version 1.2rc6 is shipped a year ago. I assume it is stable enough now (at least for me).
Comment 1 John Mahowald 2005-10-29 22:11:49 EDT
Needs work.

Missing many BuildRequires: libtool, automake, autoconf, texinfo, pam-devel

Release is for the build of the rpm, not the upstream release version. So
Version is 1.2rc6 and Release is 1 (first build). And I don't see the point of
defining a macro for %{name}-%{release}


socket++ is not strictly a part of newscache. I recommend it be packaged seperately.

With the dependencies installed (see BuildRequires comments) it does build on
FC4. rpmlint shows

E: newscache executable-marked-as-config-file /etc/rc.d/init.d/newscache
E: newscache executable-marked-as-config-file /etc/cron.daily/newscache
E: newscache non-standard-dir-perm /var/cache/newscache 02755

%{_initdir} does not really contain config files and as such those scripts
shouldn't be marked %config.
Comment 2 Ralf Corsepius 2005-10-30 00:04:32 EDT
> Summary: Free cache server for USENET News
Can there be any non-free cache server in Fedora?
Comment 3 Dmitry Butskoy 2005-10-31 08:18:51 EST
> Missing many BuildRequires: libtool, automake, autoconf, texinfo, pam-devel
libtool already implies automake/autoconf, other will be added.

> Release is for the build of the rpm, not the upstream release version. So
> Version is 1.2rc6 and Release is 1 (first build).
See
http://fedoraproject.org/wiki/PackageNamingGuidelines#head-63c1c3d339e145e51777b81c9f9adc8120aa762f
"rc" should go to release field. And rpmlint requires such a way too...

> And I don't see the point of defining a macro for %{name}-%{release}
Hmmm... Where you have found it?.. :)
I guess it is about %{srcnamever}? "NewsCache" is a historical name. Now most of
things in the package are low-registered, but the tarball is still such...

> socket++ is not strictly a part of newscache. I recommend it be packaged
seperately.
I've already mention it in the spec file comments:
 # socket++ is a library from the same site as NewScache is.
 # While it is used by newscache only, there is no reason
 # to ship it separately.
I would like to not mess up FE by superfluous packages. Currently socket++ is
used by newscache only, distributed from the same site as newscache, and I
believe (with full respect for socket++ developers) that it hardly will be used
somewhere else in the near future.

Certainly if it will be needed, I'll exclude this library as a separate package.

> E: newscache executable-marked-as-config-file /etc/cron.daily/newscache
I just follow Fedora Core here: see for example "yum.spec" or "tmpwatch.spec".
Both "chmod +x" and then marked as "%config(noreplace)" ...
> E: newscache executable-marked-as-config-file /etc/rc.d/init.d/newscache
Similar (see "httpd.spec" for example)
It means that rpmlint and FC ways are differ. I would prefer FC now :)

> > Summary: Free cache server for USENET News
> Can there be any non-free cache server in Fedora?
Yep! In the additional repositories, or from the owner's sites (as java, flash) etc.
This summary has come from upstream. 
Comment 4 John Mahowald 2005-11-01 13:14:58 EST
OK, upstream can't make up their mind, so we're going lowercase, with the macro
defining the source name.

Sorry, you're right, I forget the rules with alphabetic release versions.

If socket++ isn't used by anything else, then go ahead and put it in newscache.

OK, follow the example of Core when it comes to cron then.

Still needs a BuildReqires: texinfo pam-devel

Good:
- source matches upstream
- license (GPL) in %doc
- compiles on FC4 i386
- no locales
- not relocatable
- %clean OK
- define good BuildRoot
- use of macros
Comment 5 Dmitry Butskoy 2005-11-02 06:41:47 EST
> Still needs a BuildReqires: texinfo pam-devel
done.

New SPEC: http://dmitry.butskoy.name/newscache/newscache.spec
New SRPM: http://dmitry.butskoy.name/newscache/newscache-1.2-0.2.rc6.src.rpm


Comment 6 John Mahowald 2005-11-02 12:59:48 EST
Looks good. APPROVED

Note You need to log in before you can comment on or make changes to this bug.